package io.xjar.boot;

import java.net.URL;
import io.xjar.XLauncher;
import org.springframework.boot.loader.WarLauncher;

public class XWarLauncher extends WarLauncher
{
    private final XLauncher xLauncher;
    
    public XWarLauncher(final String... args) throws Exception {
        this.xLauncher = new XLauncher(args);
    }
    
    public static void main(final String[] args) throws Exception {
        new XWarLauncher(args).launch();
    }
    
    public void launch() throws Exception {
        this.launch(this.xLauncher.args);
    }
    
    protected ClassLoader createClassLoader(final URL[] urls) throws Exception {
        return (ClassLoader)new XBootClassLoader(urls, this.getClass().getClassLoader(), this.xLauncher.xDecryptor, this.xLauncher.xEncryptor, this.xLauncher.xKey);
    }
}
